[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# sigactionrec

Record used in fpSigAction call.

## Declaration

Source position: signal.inc line 208

`type sigactionrec = record`
`sa_handler: sigactionhandler_t;` |  | Funcion called when signal is triggered.
`sa_flags: culong;` |  | Flags for SigAction
`sa_restorer: sigrestorerhandler_t;` |  | Obsolete, don't use
`sa_mask: sigset_t;` |  | Signal mask.
`end;`

Documentation generated on: Feb 26 2014